/*------------------------------------------------------------------------------------------------*/
/*                    KACPER STANISLAW DUDA Y MIHAI GEORGE ALEXANDRU                              */
/*------------------------------------------------------------------------------------------------*/

/*------------------------------------------------------------------------------------------------*/
/*                                          R6-NUEVA.SQL                                          */
/*------------------------------------------------------------------------------------------------*/

USE R6;

/*------------------------------------*/
/*     MODIFICACIÓN DE LAS TABLAS     */
/*------------------------------------*/

/* TABLA TEMPORADA */
ALTER TABLE TEMPORADA MODIFY COLUMN Año TINYINT NOT NULL;

/* TABLA OPERADOR */
ALTER TABLE OPERADOR MODIFY COLUMN Apodo VARCHAR(40) NOT NULL;
ALTER TABLE OPERADOR MODIFY COLUMN NumeroOperacion_TEMPORADA TINYINT NOT NULL;
ALTER TABLE OPERADOR MODIFY COLUMN Nombre VARCHAR(60) NOT NULL;
ALTER TABLE OPERADOR MODIFY COLUMN Nacionalidad VARCHAR(60) NOT NULL;
ALTER TABLE OPERADOR MODIFY COLUMN Habilidad VARCHAR(60) NOT NULL;

/* TABLA DEFENSOR */
ALTER TABLE DEFENSOR DROP COLUMN RolDefensor;
ALTER TABLE DEFENSOR ADD COLUMN Identidad CHAR(9) NOT NULL;
ALTER TABLE DEFENSOR DROP FOREIGN KEY FK_DEFENSOR_OPERADOR;
ALTER TABLE DEFENSOR DROP PRIMARY KEY;
ALTER TABLE DEFENSOR ADD CONSTRAINT PK_DEFENSOR PRIMARY KEY(Identidad, Apodo_OPERADOR);
ALTER TABLE DEFENSOR ADD CONSTRAINT FK_DEFENSOR_OPERADOR FOREIGN KEY(Apodo_OPERADOR) REFERENCES OPERADOR(Apodo);

/* TABLA ATACANTE */
ALTER TABLE ATACANTE DROP COLUMN RolATACANTE;
ALTER TABLE ATACANTE ADD COLUMN Identidad CHAR(9) NOT NULL;
ALTER TABLE ATACANTE DROP FOREIGN KEY FK_ATACANTE_OPERADOR;
ALTER TABLE ATACANTE DROP PRIMARY KEY;
ALTER TABLE ATACANTE ADD CONSTRAINT PK_ATACANTE PRIMARY KEY(Identidad, Apodo_OPERADOR);
ALTER TABLE ATACANTE ADD CONSTRAINT FK_ATACANTE_OPERADOR FOREIGN KEY(Apodo_OPERADOR) REFERENCES OPERADOR(Apodo);

/* TABLA ARMA */
ALTER TABLE ARMA MODIFY COLUMN Nombre VARCHAR(40) NOT NULL;
ALTER TABLE ARMA MODIFY COLUMN tipo VARCHAR(40) NOT NULL;

/* TABLA EVENTO */
ALTER TABLE EVENTO DROP COLUMN MapaExclusivo;
ALTER TABLE EVENTO DROP COLUMN ModoDeJuego;

DESC TEMPORADA;
DESC OPERADOR;
DESC DEFENSOR;
DESC ATACANTE;
DESC MAPA;
DESC MODODEJUEGO;
DESC ARMA;
DESC EVENTO;
DESC tiene;
DESC asocia;
DESC beneficia;


